A ResourceSet contains an arbitrary number of data objects, each registered under a unique name.

### Hierarchy

- ResourceSet

### Implemented by

- ResourceSetImpl

## Index

### Methods

- clear
- getResource
- hasResource
- registerResource

## Methods

### clear

- clear(): void

- - Defined in resources/resource-set.ts:36

  Remove all registered resources from the ResourceSet.

  #### Returns void

### getResource

- getResource(name: string): Object

- - Defined in resources/resource-set.ts:14

  Get the resource registered for the given name.

  #### Parameters

  - ##### name: string

    The name of the resource to retrieve.

  #### Returns Object

  The resource if it is present; undefined otherwise.

### hasResource

- hasResource(name: string): Object

- - Defined in resources/resource-set.ts:21

  Returns whether the resource set contains a data resource for the given name.

  #### Parameters

  - ##### name: string

    the name identifying the resource

  #### Returns Object

  whether the resource is present in the resource set

### registerResource

- registerResource(name: string, resource: Object, resolveReferences: boolean): Object

- - Defined in resources/resource-set.ts:31

  Register the given resource under the given name.

  #### Parameters

  - ##### name: string

    The name to register the resource for. It can later be retrieved by calling getResource() for the same name.

  - ##### resource: Object

    The resource Object

  - ##### resolveReferences: boolean

  #### Returns Object

  The old resource if one was already registered for the given name, undefined otherwise

Generated using TypeDoc